apiVersion: apps/v1
kind: Deployment
metadata:
    name: update-deployment
spec:
    selector:
        matchLabels:
            app: update
    template:
        metadata:
            labels:
                app: update
        spec:
            containers:
            -   name: update
                image: fadhlanhazmi/update
                env:
                -   name: URL
                    value: "http://192.168.77.139:8000/query?q="
                resources:
                    limits:
                        cpu: 250m
                        memory: 128Mi